{% extends "Mencari_Mahasiswa/layout/base.html" %}
{% load static %}
{% block content %}


<div class="panel panel-danger">
    <div class="panel-heading">
        <h2>Find Friend</h2>
    </div>
    <div class="panel-body">
        <center>
        <table class="table" style="width:60%">
            <tbody>
            <div id="radio-buttton">
                <tr>
                    <td><input type="radio" name="filter" id="npm-rb" value="npm" checked> NPM<br></td>
                    <td><input type="radio" name="filter" id="nama-rb" value="nama"> Name<br></td>
                   
                    <td><input type="radio" name="filter" id="keahlian-rb" value="keahlian"> Skill<br></td>
           
                   <!-- <td><input type="radio" name="filter" id="level-rb" value="level"> Level<br></td> kiv this a-->
               
                   <!--<td><span class="glyphicon glyphicon-search" aria-hidden="true"></span>-->
                   
                       
                </tr>
                </div>
               
               
                </tbody>
                </table>
                <div class="search-container">
                     
                     <input type="text"  id="myInput" onkeyup="myFunction()" placeholder="Search...">
                     <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
                     
                    </div><br>
                    <hr>
               
                
                </center>
                <div id=table2>
                    <center>
                    <table class="listtable" id="t01" style="width:60%">
                        <thead>
                        <th>NPM</th>
                        <th>Name</th>
                        <th>Skill</th>
                        
                        
                       
                        <!--dummy data-->
                        </thead>
                        <tbody>
                        <tr>
                        <td>1706103146</td>
                        <td>Tarsvini</td>
                        
                        <td>Singing</td>
                        


                        
                        

                        </tr>
                        
                        
                        
                        <tr>
                        <td>1706103145</td>
                        <td>Amal</td>
                       
                        <td>Python</td>
                       

                        

                        </tr>
                        
                        <!--mahasiswa_list.mahasiswa_keahlian is from the views which retrieves the loginstatus and profile models-->
                        {% for mahasiswa in mahasiswa_list%}
                        <tr>
                        <td>{{mahasiswa.npm}}</td> <!--Nama,NPM can be changed based on loginstatus,Profile feature model-->
                        <td>{{mahasiswa.name}}</td>
                        
                        {% endfor %}
                        {% for mahasiswa in mahasiswa_keahlian%}
                         
                        <td>{{mahasiswa.skill_title}}</td><!--language can change based on profile model-->
                        
                       
                        {% endfor %} 
                       
                        <!--<td><button class="button">Tambah Teman</button></td>-->
                        </tr>
                        </tbody>
                        </table>
                        </center>
                        </div>
                        
                        <section name="my-friend" id="my-friend">
                        <div class="container">
                        <h2 class="my-friend-title"></h2>
                        <!--<form id="form" method="POST" action="del-friend/">-->
                        {% csrf_token %}
                        <div class="flex">
                        {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                        <div class="flex-item">
                            <div class="friend-list">
                                <div class="friend-list-Name">
                                    {{mahasiswa.Nama}}
                                </div>
                                <!--create function that just delete from view o from the database-->
                                <div class="friend-list-delete">
                                    <div class="friend-list-delete-button" data-id="{{data.id}}"></div>
                                   <!-- <button type="submit" name="del_id" value="{{data.id}}" > Unfriend </button>-->
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% else %}
                      <!--  <div class="alert alert-danger text-center">
                        <strong>Oh dear...</strong> You don't have any friends.
                        </div>-->
                        {% endif %}
                        </div>
                        </div>
                        </section>
                        </div> 
                        </div>
                         
                         
                         
                         <script>
                            function myFunction(){
                            if(document.getElementById('npm-rb').checked){
                            filterByNPM()
                            }
                            else if(document.getElementById('nama-rb').checked){
                            filterByNama()
                            }
                           
                            else if(document.getElementById('keahlian-rb').checked){
                            filterByKeahlian()
                            }
                            
                          }
                           
                        function filterByNPM() {
                        var input, filter, table, tr, td, i;
                        input = document.getElementById("myInput");
                        filter = input.value.toUpperCase();
                        table = document.getElementById("t01");
                        tr = table.getElementsByTagName("tr");
                        for (i = 0; i < tr.length; i++) {
                        td = tr[i].getElementsByTagName("td")[0];
                        if (td) {
                        if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                        } else {
                        tr[i].style.display = "none";
                        }
                        }       
                        }
                        }


                            
                              function filterByNama() {
                              var input, filter, table, tr, td, i;
                              input = document.getElementById("myInput");
                              filter = input.value.toUpperCase();
                              table = document.getElementById("t01");
                              tr = table.getElementsByTagName("tr");
                              for (i = 0; i < tr.length; i++) {
                                td = tr[i].getElementsByTagName("td")[1];
                                if (td) {
                                  if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                                    tr[i].style.display = "";
                                  } else {
                                    tr[i].style.display = "none";
                                  }
                                }       
                              }
                            }

                             
                         function filterByKeahlian() {
                        var input, filter, table, tr, td, i;
                        input = document.getElementById("myInput");
                        filter = input.value.toUpperCase();
                        table = document.getElementById("t01");
                        tr = table.getElementsByTagName("tr");
                        for (i = 0; i < tr.length; i++) {
                        td = tr[i].getElementsByTagName("td")[2];
                        if (td) {
                          if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                          } else {
                            tr[i].style.display = "none";
                          }
                        }       
                        }
                        }



                        </script>


                                 
                                    
                        {% endblock %}